!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: bucketvaluebag.gs,v 1.7 2008-01-09 19:02:30 stever Exp $
!
! Superclass Hierarchy:
!   BucketValueBag, IdentityBag, UnorderedCollection, Collection, Object.
!
!=========================================================================

! class created in idxclasses.topaz

removeallmethods BucketValueBag
removeallclassmethods BucketValueBag
protectmethods

category: 'For Documentation Installation only'
classmethod: BucketValueBag
installDocumentation

< unprotected >

| doc |
doc := GsClassDocumentation _newForPrivateGsClass: self.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Instance Creation'
classmethod: BucketValueBag
new

"Disallowed.  You cannot create a BucketValueBag through the normal
 means.  This class is for internal use only."
<unprotected>

self shouldNotImplement: #new
%


category: 'Private'
classmethod: BucketValueBag
_hasInstance: anObject

"Returns whether the argument is an instance of BucketValueBag without
 encountering authorization errors."

< unprotected  primitive: 186>
self _primitiveFailed: #_hasInstance: .
self _uncontinuableError
%

category: 'Repository Conversion'
method: BucketValueBag
conversionRebuild

"do nothing"
<unprotected>

 ^ self
%

unprotectmethods
